pref = 2.54;
pcb_w = pref * 5.25;
pcb_d = pref * 2.5 + 1.5;

w = 2;

module clip() {
    difference() {
        union() {
            rotate([0,-90,0]) cylinder(d=9.5,h=1.8);
            translate([-w-1.8-w/2,0,0]) cube([w,20,w], center=true);
            translate([-(w+1.8), -20/2, -9.5/2]) cube([w, 20, 9.5]); 
        }
        translate([0, 0, 0]) rotate([0,-90,0]) cylinder(d=5, h=w+w+1.8);
    }
}


module base() {
    difference() {
         cube([pcb_d+w, 1.6 + 8.7 + 2*w, pcb_w+ 2*w]);
         // wire hole
        translate([0, (1.6 + 8.7 + 2*w)/2, (pcb_w+ 2*w)/2]) 
            rotate([0,90,0]) cylinder(d=5, h=w);
        translate([w, 2*w, w]) cube([pcb_d-2-5, 1.6 + 8.7, pcb_w]);
        // rx
        translate([w,2*w,w]) cube([pcb_w, 1.6+8.7, 5+1.2]);
        // tx
        translate([w,2*w, pcb_w+ w- (4.5+1.2)]) cube([pcb_w, 1.6+8.7, 4.5+1.2]);
        // pcb
        translate([w, 2*w + 8.7, w]) cube([pcb_d, 1.6, pcb_w]);
    }
}

clip();
translate([ 0, -(1.6 + 8.7 + 2*w)/2, -(pcb_w+ 2*w)/2])
  base();

